openSUSE Security Update: Security update for kubevirt, virt-api-container, virt-controller-container, virt-handler-container, virt-launcher-container, virt-operator-container
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2022:0040-1
Rating:             important
References:         #1190587 #1190839 #1193930 
Cross-References:   CVE-2021-43565
CVSS scores:
                    CVE-2021-43565 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Affected Products:
                    openSUSE Leap 15.3
______________________________________________________________________________

   An update that solves one vulnerability and has two fixes
   is now available.

Description:

   This update for kubevirt, virt-api-container, virt-controller-container,
   virt-handler-container, virt-launcher-container, virt-operator-container
   fixes the following issues:

   - CVE-2021-43565: Fixes a vulnerability in the golang.org/x/crypto/ssh
     package which allowed unauthenticated clients to cause a panic in SSH
     servers. (bsc#1193930)


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2022-40=1



Package List:

   - openSUSE Leap 15.3 (x86_64):

      kubevirt-container-disk-0.45.0-8.7.1
      kubevirt-container-disk-debuginfo-0.45.0-8.7.1
      kubevirt-manifests-0.45.0-8.7.1
      kubevirt-tests-0.45.0-8.7.1
      kubevirt-tests-debuginfo-0.45.0-8.7.1
      kubevirt-virt-api-0.45.0-8.7.1
      kubevirt-virt-api-debuginfo-0.45.0-8.7.1
      kubevirt-virt-controller-0.45.0-8.7.1
      kubevirt-virt-controller-debuginfo-0.45.0-8.7.1
      kubevirt-virt-handler-0.45.0-8.7.1
      kubevirt-virt-handler-debuginfo-0.45.0-8.7.1
      kubevirt-virt-launcher-0.45.0-8.7.1
      kubevirt-virt-launcher-debuginfo-0.45.0-8.7.1
      kubevirt-virt-operator-0.45.0-8.7.1
      kubevirt-virt-operator-debuginfo-0.45.0-8.7.1
      kubevirt-virtctl-0.45.0-8.7.1
      kubevirt-virtctl-debuginfo-0.45.0-8.7.1
      obs-service-kubevirt_containers_meta-0.45.0-8.7.1


References:

   https://www.suse.com/security/cve/CVE-2021-43565.html
   https://bugzilla.suse.com/1190587
   https://bugzilla.suse.com/1190839
   https://bugzilla.suse.com/1193930